Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81309 - Up2date fails to update kernel
Summary: Up2date fails to update kernel
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 7.3
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-07 22:48 UTC by Stephen Rasku
Modified: 2005-10-31 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-15 20:34:45 UTC


Attachments (Terms of Use)

Description Stephen Rasku 2003-01-07 22:48:55 UTC
Description of problem:

When I try and update my kernel using up2date, I get the following error:

There was a fatal RPM error.  The message was:
Failed installing packages:
('installing package kernel-2.4.18-19.7.x needs 12Mb on the / filesystem', (9,
'/', 12046336L))

However, "df -k /" reveals that I have enough space.

Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/hda5              2000204   1875904     22692  99% /

Version-Release number of selected component (if applicable):

up2date-2.8.39-1.7.3

How reproducible:


Steps to Reproduce:
1.up2date
2.Enter root password.
3.Select "Next" (twice).
4.Select kernel (from Packages Flagged to be Skipped).
5. Next.
6. Next.
    
Actual results:

See above.

Expected results:

kernel package should be installed.

Additional info:

I am installing the athlon kernel.

Comment 1 Adrian Likins 2003-01-15 04:48:46 UTC
I rely on the rpm estimates of space needed. If the
rpm estimates are wrong, thats an rpm issue.

reassigning to rpm.

Comment 2 Jeff Johnson 2003-01-15 20:34:45 UTC
You need 12 Mb more than is available, not 12 Mb total.


Note You need to log in before you can comment on or make changes to this bug.